import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiPasswordFieldCommandHandler, UiPasswordFieldConfig, UiPasswordFieldEventSource } from "../../generated/UiPasswordFieldConfig";
import { UiTextField } from "./UiTextField";
export declare class UiPasswordField extends UiTextField<UiPasswordFieldConfig> implements UiPasswordFieldEventSource, UiPasswordFieldCommandHandler {
    private salt;
    private sendValueAsMd5;
    protected initialize(config: UiPasswordFieldConfig, context: TeamAppsUiContext): void;
    setSalt(salt: string): void;
    setSendValueAsMd5(sendValueAsMd5: boolean): void;
    getTransientValue(): string;
    private calculateValueString;
    getReadOnlyHtml(value: string, availableWidth: number): string;
}
